package oop.AnonymousInnerClass;

public class Test {
	
	public static void main(String[] args) {
		
		RewardClass mietarebiter1 = new RewardClass();
		RewardClass mietarebiter2 = new RewardClass();
		RewardClass mietarebiter3 = new RewardClass()
		//  Anonymous Inner Class 
		{	
			
			@Override
			public void rewardMethode() {
				
				System.out.println("Deine Belohnung ist 20€.");
			}
		};
		
		mietarebiter1.rewardMethode();//Belohnung ist 10€
		mietarebiter2.rewardMethode();//Belohnung ist 10€
		
		mietarebiter3.rewardMethode();//Belohnung ist 20€
		
		/* wenn ich für den dritten mietarebiter3 20€ statt 10€ geben möchte!
		 * dann habe ich 2 möglichkeiten
		 * 
		 * 1. erben: ich kann eine Klasse erstellen die meine (RewardClass) erbt 
		 *           und ihre Methode mit 20€ überschreibt!
		 *           
		 * 2.Anonymous Inner Class 
		 */
	}

}
